package cn.superdesk.uniorder.dao.entity.unified;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class UnifiedWarningExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public UnifiedWarningExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    unified_warning
     *
     * Thu Mar 11 15:42:28 CST 2021
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andVirtIdIsNull() {
            addCriterion("virt_id is null");
            return (Criteria) this;
        }

        public Criteria andVirtIdIsNotNull() {
            addCriterion("virt_id is not null");
            return (Criteria) this;
        }

        public Criteria andVirtIdEqualTo(Long value) {
            addCriterion("virt_id =", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdNotEqualTo(Long value) {
            addCriterion("virt_id <>", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdGreaterThan(Long value) {
            addCriterion("virt_id >", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdGreaterThanOrEqualTo(Long value) {
            addCriterion("virt_id >=", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdLessThan(Long value) {
            addCriterion("virt_id <", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdLessThanOrEqualTo(Long value) {
            addCriterion("virt_id <=", value, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdIn(List<Long> values) {
            addCriterion("virt_id in", values, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdNotIn(List<Long> values) {
            addCriterion("virt_id not in", values, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdBetween(Long value1, Long value2) {
            addCriterion("virt_id between", value1, value2, "virtId");
            return (Criteria) this;
        }

        public Criteria andVirtIdNotBetween(Long value1, Long value2) {
            addCriterion("virt_id not between", value1, value2, "virtId");
            return (Criteria) this;
        }

        public Criteria andWarningTypeIsNull() {
            addCriterion("warning_type is null");
            return (Criteria) this;
        }

        public Criteria andWarningTypeIsNotNull() {
            addCriterion("warning_type is not null");
            return (Criteria) this;
        }

        public Criteria andWarningTypeEqualTo(Integer value) {
            addCriterion("warning_type =", value, "warningType");
            return (Criteria) this;
        }

        public Criteria andWarningTypeNotEqualTo(Integer value) {
            addCriterion("warning_type <>", value, "warningType");
            return (Criteria) this;
        }

        public Criteria andWarningTypeGreaterThan(Integer value) {
            addCriterion("warning_type >", value, "warningType");
            return (Criteria) this;
        }

        public Criteria andWarningTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("warning_type >=", value, "warningType");
            return (Criteria) this;
        }

        public Criteria andWarningTypeLessThan(Integer value) {
            addCriterion("warning_type <", value, "warningType");
            return (Criteria) this;
        }

        public Criteria andWarningTypeLessThanOrEqualTo(Integer value) {
            addCriterion("warning_type <=", value, "warningType");
            return (Criteria) this;
        }

        public Criteria andWarningTypeIn(List<Integer> values) {
            addCriterion("warning_type in", values, "warningType");
            return (Criteria) this;
        }

        public Criteria andWarningTypeNotIn(List<Integer> values) {
            addCriterion("warning_type not in", values, "warningType");
            return (Criteria) this;
        }

        public Criteria andWarningTypeBetween(Integer value1, Integer value2) {
            addCriterion("warning_type between", value1, value2, "warningType");
            return (Criteria) this;
        }

        public Criteria andWarningTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("warning_type not between", value1, value2, "warningType");
            return (Criteria) this;
        }

        public Criteria andInvNoIsNull() {
            addCriterion("inv_no is null");
            return (Criteria) this;
        }

        public Criteria andInvNoIsNotNull() {
            addCriterion("inv_no is not null");
            return (Criteria) this;
        }

        public Criteria andInvNoEqualTo(String value) {
            addCriterion("inv_no =", value, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoNotEqualTo(String value) {
            addCriterion("inv_no <>", value, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoGreaterThan(String value) {
            addCriterion("inv_no >", value, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoGreaterThanOrEqualTo(String value) {
            addCriterion("inv_no >=", value, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoLessThan(String value) {
            addCriterion("inv_no <", value, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoLessThanOrEqualTo(String value) {
            addCriterion("inv_no <=", value, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoLike(String value) {
            addCriterion("inv_no like", value, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoNotLike(String value) {
            addCriterion("inv_no not like", value, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoIn(List<String> values) {
            addCriterion("inv_no in", values, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoNotIn(List<String> values) {
            addCriterion("inv_no not in", values, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoBetween(String value1, String value2) {
            addCriterion("inv_no between", value1, value2, "invNo");
            return (Criteria) this;
        }

        public Criteria andInvNoNotBetween(String value1, String value2) {
            addCriterion("inv_no not between", value1, value2, "invNo");
            return (Criteria) this;
        }

        public Criteria andCreditPassIsNull() {
            addCriterion("credit_pass is null");
            return (Criteria) this;
        }

        public Criteria andCreditPassIsNotNull() {
            addCriterion("credit_pass is not null");
            return (Criteria) this;
        }

        public Criteria andCreditPassEqualTo(BigDecimal value) {
            addCriterion("credit_pass =", value, "creditPass");
            return (Criteria) this;
        }

        public Criteria andCreditPassNotEqualTo(BigDecimal value) {
            addCriterion("credit_pass <>", value, "creditPass");
            return (Criteria) this;
        }

        public Criteria andCreditPassGreaterThan(BigDecimal value) {
            addCriterion("credit_pass >", value, "creditPass");
            return (Criteria) this;
        }

        public Criteria andCreditPassGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("credit_pass >=", value, "creditPass");
            return (Criteria) this;
        }

        public Criteria andCreditPassLessThan(BigDecimal value) {
            addCriterion("credit_pass <", value, "creditPass");
            return (Criteria) this;
        }

        public Criteria andCreditPassLessThanOrEqualTo(BigDecimal value) {
            addCriterion("credit_pass <=", value, "creditPass");
            return (Criteria) this;
        }

        public Criteria andCreditPassIn(List<BigDecimal> values) {
            addCriterion("credit_pass in", values, "creditPass");
            return (Criteria) this;
        }

        public Criteria andCreditPassNotIn(List<BigDecimal> values) {
            addCriterion("credit_pass not in", values, "creditPass");
            return (Criteria) this;
        }

        public Criteria andCreditPassBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("credit_pass between", value1, value2, "creditPass");
            return (Criteria) this;
        }

        public Criteria andCreditPassNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("credit_pass not between", value1, value2, "creditPass");
            return (Criteria) this;
        }

        public Criteria andStateIsNull() {
            addCriterion("state is null");
            return (Criteria) this;
        }

        public Criteria andStateIsNotNull() {
            addCriterion("state is not null");
            return (Criteria) this;
        }

        public Criteria andStateEqualTo(Integer value) {
            addCriterion("state =", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotEqualTo(Integer value) {
            addCriterion("state <>", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThan(Integer value) {
            addCriterion("state >", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("state >=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThan(Integer value) {
            addCriterion("state <", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThanOrEqualTo(Integer value) {
            addCriterion("state <=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateIn(List<Integer> values) {
            addCriterion("state in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotIn(List<Integer> values) {
            addCriterion("state not in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateBetween(Integer value1, Integer value2) {
            addCriterion("state between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotBetween(Integer value1, Integer value2) {
            addCriterion("state not between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }
    }

    /**
    unified_warning
     *
     * do_not_delete_during_merge Thu Mar 11 15:42:28 CST 2021
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    unified_warning
     *
     * Thu Mar 11 15:42:28 CST 2021
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}